Bug 9947 - Creating item for received serial prefills enumchron subfield
Summary: Creating item for received serial prefills enumchron subfield
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 14:50 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.30 KB, patch)
2013-03-28 15:00 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 9947 - Creating item for received serial prefills enumchron subfield (2.35 KB, patch)
2013-03-31 05:32 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 9947 - Creating item for received serial prefills enumchron subfield (2.55 KB, patch)
2013-03-31 11:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9947 - Creating item for received serial prefills enumchron subfield (2.55 KB, patch)
2013-03-31 11:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-03-28 14:50:23 UTC
In serial receiving : 
When creating an item for an issue, a javascript prefilles the $h subfield with issue number.
This is for MARC21, in UNIMARC serial number is on $v.
Hard-coded value must be changed with the subfield mapped with "items.enumchron".
Comment 1 Fridolin SOMERS 2013-03-28 15:00:04 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-03-31 05:32:05 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-03-31 11:36:46 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-03-31 11:37:34 UTC
Created attachment 17085 [details] [review]
[PASSED QA] Bug 9947 - Creating item for received serial prefills enumchron subfield

In serial receiving :
When creating an item for an issue, a javascript prefilles the $h subfield with issue number.
This is for MARC21, in UNIMARC serial number is on $v.

This patch replaces hard-coded value with the subfield mapped with "items.enumchron".

Test plan :
- Set "Koha to MARC mapping" of "items.enumchron" on a subfield other than $h, ie $z
- Go to a serial subscription detail with "Serial receipt creates an item record"
- Click on "Receive"
- On an issue, click on "Click to add item"
=> Check that issue number is copied into selected subfield, ie $z
You may test that with no mapping of "items.enumchron" there is no javascript error

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Nice catch! Works as advertised.
All tests pass after fixing tabulation characters in serials-edit.tt.
Comment 5 Jared Camins-Esakov 2013-04-02 12:59:03 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-04-14 06:37:25 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.12 and 3.10.5